De "luxe" senseo

Door Elephtera op zondag 11 juli 2010 13:05 - Reacties (29)
Categorie: Personal, Views: 7.806

Alweer ruim een jaar geleden wilde ik als student een senseo kopen. Telkens die druppel koffie maken als je net uit bed bent is ook niet fijn.

Omdat ik het dan toch goed wilde doen heb ik een luxere senseo gekocht: http://www.coffeeforless.com/images/uploads/senseo%20supreme.jpg
Deze kan kleine en grotere bakkies maken. En ziet er net wat luxer uit dan de normale.

Ik was hier helemaal blij mee, tot ik een keer chocomel wilde maken met deze senseo: onmogelijk. Je kan namelijk niet de normale padhouders gebruiken in de luxe senseo. Je hebt speciale diepere padhouders nodig. En voor chocomel hadden ze die niet.

Uiteindelijk via internet een chocolade padhouder voor de senseo chocolade pads kunnen kopen. Gelijk een espresso padhouder erbij. Prima, lekker chocolademelk, nep-espresso en gewone koffie eruit.

Daarnaast die grotere en kleinere hoeveelheden. Ik gebruik ze eigenlijk nooit. Alleen de grotere hoeveelheid voor mensen die geen dark roast lusten en dan wat slappere koffie wensen. Er zijn namelijk geen pads voor de grotere of kleinere kopjes koffie. Wat heb je dan aan die keus? Niks.

Echter nooit echt problemen verder met de werking, tot een half uurtje geleden. Ik maak een bakkie koffie, komt er geen koffie uit, en wil hij niet meer open. Een 10 minuten laten staan en toen opeens spoot het water eruit. Daarna doorgespoeld en toen kwam er wel een "goed" bakkie koffie uit.

Achteraf gezien had ik beter een gewone senseo kunnen kopen: goedkoper en meer accessoires. Of gewoon een echt koffiezetapparaat, zoals ze die ook in restaurants hebben.

niet werkende plugins in FF

Door Elephtera op vrijdag 9 juli 2010 01:51 - Reacties (5)
Categorie: Software Engineer Related, Views: 2.573

Tijdens de reinstall vandaag kwam ik ook een ander probleem tegen. Ik had een custom plugin voor firefox. Werkt enkel in Firefox, geen probleem. Draait prima naast chrome.
Maar ik kreeg firefox maar niet zo ver dat het de plugin accepteerde.

~/.mozilla/plugins werkte niet
/usr/lib/mozilla/plugins werkte niet

Wat nu? Meerdere oplossingen geprobeerd, uiteindelijk uit wanhoop zelfs handmatig de nspluginwrapper handmatig gebruikt. Deze kon de plugin vinden, maar in firefox nog niks.

Firefox vanaf de commandline starten gaf ook geen extra informatie. Geen verbose optie of andere foutmeldingen.

Ik herinnerde me dat de oude install versie 3.5 draaide van firefox. Die heb ik gedownload en daarna proberen te starten. firefox starten gaf een foutmelding. maar "run-mozilla.sh firefox" werkte wel. En toen kreeg ik opeens wel feedback over wat er allemaal aan de hand was.

Error: cannot restore segment prot after reloc: Permission denied

Een simpele zoek opdracht in google vertelde mij dat ik SELinux uit moest zetten.
Zo gezegd zo gedaan. SELinux uit, en de plugin werd gevonden door firefox.

Een verbose optie van firefox had me een boel ellende gescheeld...

rake db:create

Door Elephtera op vrijdag 9 juli 2010 01:24 - Reageren is niet meer mogelijk
Categorie: Software Engineer Related, Views: 1.291

Vandaag probeerde ik na een reinstall rails weer de lucht in de slingeren. rake db:create gaf daarbij een leuke melding dat het de database niet kon aanmaken. Waarom? Geen idee. Bij de vorige installatie ging het prima.

Al vrij snel was duidelijk dat de mysql server niet helemaal lekker samen werkte met rails.
Allereerst moest ik de gem mysql nog installeren. Al haalde dat weinig uit voor de foutmelding.

Na lang zoeken op internet kwam ik vervolgens iets tegen voor de mac (http://www.ultrasaurus.co...arted-with-rails-2-day-1/) Zij melden dat de gebruikersnaam/wachtwoorden in de database.yml file wel correct moeten zijn, anders ontstaan er problemen.

Ik heb wat zitten knoeien met het root account van mysql. Dat loste niks op. Ik heb mijn eigen user account toegevoegd aan mysql, dat bood ook geen soelaas. Heel vreemd. want met dezelfde database.yml file kon ik voor de reinstall nog wel overal bij en ging de db:create probleemloos.

Uiteindelijk heb ik alle accounts uit database.yml handmatig toegevoegd. Daarna werkte het weer. Geen perfecte oplossing, en het probleem schuilt hem waarschijnlijk in een versie of config verschil tussen de oude mysql/rails en de nieuwe versie.